Skip to main content
Webhook

禁用 Webhook

手动禁用 Webhook。请求体为空。禁用后不再投递新的事件,已产生但尚未投递的事件会被取消。

前提

已完成 Endpoint 与鉴权配置,详见API 总览与认证

接口

POST /webhook_endpoints/{id}/disable

路径参数

参数必填类型说明
idstringWebhook ID,格式 wep_<ULID>

请求示例

curl -X POST "$AGENTSTUDIO_URL/webhook_endpoints/wep_01JXX7YQGPRPV1BZXA35QE7WDP/disable" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY"

响应

{
  "id": "wep_01JXX7YQGPRPV1BZXA35QE7WDP",
  "description": "生产环境会话事件",
  "url": "https://example.com/managedagent/webhooks",
  "events": [
    "session.status_idled"
  ],
  "status": "DISABLED",
  "disabled_reason": "MANUAL",
  "consecutive_fail": 2,
  "last_success_at": "2026-08-06T10:05:00Z",
  "last_failure_at": "2026-08-06T10:10:00Z",
  "created_at": "2026-08-06T10:00:00Z",
  "updated_at": "2026-08-06T10:25:00Z",
  "request_id": "8e1d16e4"
}

响应字段

字段类型说明
idstring
descriptionstring | null
urlstring
eventsarray<string>
statusstring禁用后为 DISABLED
disabled_reasonstring | null手动禁用为 MANUAL
consecutive_failinteger返回禁用完成时的当前值
last_success_atstring | null返回禁用完成时的当前值
last_failure_atstring | null返回禁用完成时的当前值
created_atstring
updated_atstring
request_idstring本次请求的唯一标识,排查问题时附带

错误码

状态码错误码说明
40411800001webhook not found